Bug 1268041 - efikeygen Segmentation fault
efikeygen Segmentation fault
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pesign (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 12:27 EDT by Jerry Amundson
Modified: 2015-12-23 14:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-23 14:52:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2015-10-01 12:27:36 EDT
Description of problem: efikeygen gives Segmentation fault


Version-Release number of selected component (if applicable):
pesign-0.108-2.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
1.mkdir -p ~/ca/example
2.certutil -d ~/ca/example -N
3.efikeygen -d ~/ca/example --ca --self-sign   --nickname='Example Linux UEFI SB CA'   --common-name='CN=ALT UEFI SB CA 2015,OU=Example Certification Authority,O=Example Linux Team,C=US'   --url='http://example.org/UEFI' --serial=00

Actual results:
Segmentation fault

Expected results:
Something other than "Segmentation fault"

Additional info:
Comment 1 Jan Kurik 2015-12-22 06:32:51 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.
Comment 2 Jerry Amundson 2015-12-23 14:52:24 EST
pesign-0.111-1.fc23.x86_64
No more seg fault.

Note You need to log in before you can comment on or make changes to this bug.